>From 557bb770c0693d9648e878dfa715fa710aa44f26 Mon Sep 17 00:00:00 2001
From: Roiy <roiy@cs.umanitoba.ca>
Date: Fri, 4 Oct 2013 15:39:25 -0500
Subject: [PATCH] Compilation changes for MED

---
 modules/demux/Makefile.am   |  3 +++
 modules/gui/qt4/Makefile.am | 24 ++++++++++++++++++++++++
 src/Makefile.am             |  1 +
 3 files changed, 28 insertions(+)

diff --git a/modules/demux/Makefile.am b/modules/demux/Makefile.am
index 939d449..1776ea2 100644
--- a/modules/demux/Makefile.am
+++ b/modules/demux/Makefile.am
@@ -59,6 +59,9 @@ demux_LTLIBRARIES += libmjpeg_plugin.la
 libsubtitle_plugin_la_SOURCES = demux/subtitle.c
 demux_LTLIBRARIES += libsubtitle_plugin.la
 
+libmed_plugin_la_SOURCES = demux/med.c
+demux_LTLIBRARIES += libmed_plugin.la
+
 libty_plugin_la_SOURCES = demux/ty.c codec/cc.h
 demux_LTLIBRARIES += libty_plugin.la
 
diff --git a/modules/gui/qt4/Makefile.am b/modules/gui/qt4/Makefile.am
index f0b8095..60a842f 100644
--- a/modules/gui/qt4/Makefile.am
+++ b/modules/gui/qt4/Makefile.am
@@ -42,8 +42,10 @@ libqt4_plugin_la_SOURCES = \
 	extensions_manager.cpp extensions_manager.hpp \
 	recents.cpp recents.hpp \
 	adapters/seekpoints.cpp adapters/seekpoints.hpp \
+	adapters/seeksegments.cpp adapters/seeksegments.hpp \
 	adapters/chromaprint.cpp adapters/chromaprint.hpp \
 	adapters/variables.cpp adapters/variables.hpp \
+	dialogs/annotations.cpp dialogs/annotations.hpp \
 	dialogs/playlist.cpp dialogs/playlist.hpp \
 	dialogs/bookmarks.cpp dialogs/bookmarks.hpp \
 	dialogs/preferences.cpp dialogs/preferences.hpp \
@@ -67,6 +69,12 @@ libqt4_plugin_la_SOURCES = \
 	dialogs/podcast_configuration.cpp dialogs/podcast_configuration.hpp \
 	dialogs/extensions.cpp dialogs/extensions.hpp \
 	dialogs/fingerprintdialog.cpp dialogs/fingerprintdialog.hpp \
+	dialogs/delete_event.cpp dialogs/delete_event.hpp \
+	dialogs/edit_event.cpp dialogs/edit_event.hpp \
+	dialogs/event_properties.cpp dialogs/event_properties.hpp \
+	dialogs/events_layers.cpp dialogs/events_layers.hpp \
+	dialogs/new_layer.cpp dialogs/new_layer.hpp \
+	components/annotations_widget.cpp components/annotations_widget.hpp \
 	components/extended_panels.cpp components/extended_panels.hpp \
 	components/info_panels.cpp components/info_panels.hpp \
 	components/info_widgets.cpp components/info_widgets.hpp \
@@ -78,6 +86,8 @@ libqt4_plugin_la_SOURCES = \
 	components/interface_widgets.cpp components/interface_widgets.hpp \
 	components/controller.cpp components/controller.hpp \
 	components/controller_widget.cpp components/controller_widget.hpp \
+	components/event_properties_widget.cpp components/event_properties_widget.hpp \
+	components/events_layers_widget.cpp components/events_layers_widget.hpp \
 	components/epg/EPGChannels.cpp components/epg/EPGChannels.hpp \
 	components/epg/EPGItem.cpp components/epg/EPGItem.hpp \
 	components/epg/EPGRuler.cpp components/epg/EPGRuler.hpp \
@@ -102,6 +112,7 @@ libqt4_plugin_la_SOURCES = \
 		components/sout/profiles.hpp \
 	util/input_slider.cpp util/input_slider.hpp \
 	util/timetooltip.cpp util/timetooltip.hpp \
+	util/annotation_tooltip.cpp util/annotation_tooltip.hpp \
 	util/customwidgets.cpp util/customwidgets.hpp \
 	util/searchlineedit.cpp util/searchlineedit.hpp \
 	util/registry.cpp util/registry.hpp \
@@ -115,6 +126,7 @@ libqt4_plugin_la_SOURCES = \
 		util/qvlcframe.hpp \
 		util/qvlcapp.hpp \
 		util/singleton.hpp \
+	styles/metastyle.cpp styles/metastyle.hpp \
 	styles/seekstyle.cpp styles/seekstyle.hpp
 if HAVE_WIN32
 libqt4_plugin_la_SOURCES += main_interface_win32.cpp
@@ -142,8 +154,10 @@ nodist_libqt4_plugin_la_SOURCES = \
 	extensions_manager.moc.cpp \
 	recents.moc.cpp \
 	adapters/seekpoints.moc.cpp \
+	adapters/seeksegments.moc.cpp \
 	adapters/chromaprint.moc.cpp \
 	adapters/variables.moc.cpp \
+	dialogs/annotations.moc.cpp \
 	dialogs/playlist.moc.cpp \
 	dialogs/bookmarks.moc.cpp \
 	dialogs/mediainfo.moc.cpp \
@@ -167,6 +181,12 @@ nodist_libqt4_plugin_la_SOURCES = \
 	dialogs/extensions.moc.cpp \
 	dialogs/fingerprintdialog.moc.cpp \
 	dialogs/ml_configuration.moc.cpp \
+	dialogs/delete_event.moc.cpp \
+	dialogs/edit_event.moc.cpp \
+	dialogs/event_properties.moc.cpp \
+	dialogs/events_layers.moc.cpp \
+	dialogs/new_layer.moc.cpp \
+	components/annotations_widget.moc.cpp \
 	components/extended_panels.moc.cpp \
 	components/info_panels.moc.cpp \
 	components/info_widgets.moc.cpp \
@@ -177,6 +197,8 @@ nodist_libqt4_plugin_la_SOURCES = \
 	components/interface_widgets.moc.cpp \
 	components/controller.moc.cpp \
 	components/controller_widget.moc.cpp \
+	components/event_properties_widget.moc.cpp \
+	components/events_layers_widget.moc.cpp \
 	components/epg/EPGChannels.moc.cpp \
 	components/epg/EPGRuler.moc.cpp \
 	components/epg/EPGView.moc.cpp \
@@ -192,6 +214,7 @@ nodist_libqt4_plugin_la_SOURCES = \
 	components/sout/sout_widgets.moc.cpp \
 	util/input_slider.moc.cpp \
 	util/timetooltip.moc.cpp \
+	util/annotation_tooltip.moc.cpp \
 	util/customwidgets.moc.cpp \
 	util/searchlineedit.moc.cpp \
 	util/qmenuview.moc.cpp \
@@ -201,6 +224,7 @@ nodist_libqt4_plugin_la_SOURCES = \
 	util/buttons/RoundButton.moc.cpp \
 	util/buttons/DeckButtonsLayout.moc.cpp \
 	util/buttons/BrowseButton.moc.cpp \
+	styles/metastyle.moc.cpp \
 	styles/seekstyle.moc.cpp
 
 nodist_libqt4_plugin_la_SOURCES += \
diff --git a/src/Makefile.am b/src/Makefile.am
index a7f42ef..018b2ba 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -381,6 +381,7 @@ SOURCES_libvlc_common = \
 	input/stream_filter.c \
 	input/stream_memory.c \
 	input/subtitles.c \
+	input/med_detect.c \
 	input/var.c \
 	video_output/chrono.h \
 	video_output/control.c \
-- 
1.8.3.msysgit.0

